> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Start enricher execution for a specific end user asynchronously

> Dispatches an enricher task for an end user and returns immediately.




## OpenAPI

````yaml https://app.herondata.io/swagger post /api/end_user_enrichers/definitions/{enricher_definition_name}/start_enrich
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_user_enrichers/definitions/{enricher_definition_name}/start_enrich:
    post:
      tags:
        - EndUserEnrichers
      summary: Start enricher execution for a specific end user asynchronously
      description: |
        Dispatches an enricher task for an end user and returns immediately.
      parameters:
        - description: The name of the enricher definition to execute
          example: industry_prediction
          in: path
          name: enricher_definition_name
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                end_user_heron_id:
                  description: The Heron ID of the end user to enrich
                  example: eun_abc123
                  type: string
              required:
                - end_user_heron_id
              type: object
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StartEnrichEndUserResponseSchema'
          description: Enrichment task dispatched successfully
        '400':
          description: Invalid input
        '404':
          description: Enricher or end user not found
        '422':
          description: Unprocessable entity
      security:
        - ApiKeyAuth: []
components:
  schemas:
    StartEnrichEndUserResponseSchema:
      properties:
        end_user_id:
          type: integer
        enricher_name:
          type: string
      required:
        - end_user_id
        - enricher_name
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````